{
    "$graph": [
        {
            "class": "Workflow",
            "doc": "Assemble a set of reads using SKESA\n",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "id": "#main/make_uuid"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/no_internet"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "contigs.out",
                    "id": "#main/output_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/reads"
                },
                {
                    "type": "boolean",
                    "id": "#main/report_usage"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/srr"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/uuid_in"
                }
            ],
            "steps": [
                {
                    "run": "#pinger.cwl",
                    "in": [
                        {
                            "source": "#main/output_name",
                            "id": "#main/ping_start/instring"
                        },
                        {
                            "source": "#main/make_uuid",
                            "id": "#main/ping_start/make_uuid"
                        },
                        {
                            "source": "#main/report_usage",
                            "id": "#main/ping_start/report_usage"
                        },
                        {
                            "default": "start",
                            "id": "#main/ping_start/state"
                        },
                        {
                            "source": "#main/uuid_in",
                            "id": "#main/ping_start/uuid_in"
                        },
                        {
                            "default": "skesa",
                            "id": "#main/ping_start/workflow"
                        }
                    ],
                    "out": [
                        "#main/ping_start/stdout",
                        "#main/ping_start/outstring",
                        "#main/ping_start/uuid_out"
                    ],
                    "id": "#main/ping_start"
                },
                {
                    "run": "#pinger.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/ping_start/stdout",
                                "#main/skesa_assemble/contigs_out"
                            ],
                            "id": "#main/ping_stop/infile"
                        },
                        {
                            "source": "#main/report_usage",
                            "id": "#main/ping_stop/report_usage"
                        },
                        {
                            "default": "stop",
                            "id": "#main/ping_stop/state"
                        },
                        {
                            "source": "#main/ping_start/uuid_out",
                            "id": "#main/ping_stop/uuid_in"
                        },
                        {
                            "default": "skesa",
                            "id": "#main/ping_stop/workflow"
                        }
                    ],
                    "out": [
                        "#main/ping_stop/stdout"
                    ],
                    "id": "#main/ping_stop"
                },
                {
                    "run": "#skesa.cwl",
                    "in": [
                        {
                            "source": "#main/ping_start/outstring",
                            "id": "#main/skesa_assemble/contigs_out_name"
                        },
                        {
                            "source": "#main/reads",
                            "id": "#main/skesa_assemble/reads"
                        },
                        {
                            "source": "#main/srr",
                            "id": "#main/skesa_assemble/sra_run"
                        }
                    ],
                    "out": [
                        "#main/skesa_assemble/contigs_out"
                    ],
                    "id": "#main/skesa_assemble"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/skesa_assemble/contigs_out",
                    "id": "#main/contigs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/ping_start/uuid_out",
                    "id": "#main/uuid_out"
                }
            ]
        },
        {
            "label": "pinger",
            "class": "CommandLineTool",
            "baseCommand": "pinger.sh",
            "stdout": "pinger.out",
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#pinger.cwl/infile"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "dummyarg",
                    "id": "#pinger.cwl/instring"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 1,
                        "prefix": "make_uuid"
                    },
                    "id": "#pinger.cwl/make_uuid"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "do_report"
                    },
                    "id": "#pinger.cwl/report_usage"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3,
                        "prefix": "state",
                        "itemSeparator": " "
                    },
                    "id": "#pinger.cwl/state"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#pinger.cwl/uuid_in"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 4,
                        "prefix": "workflow",
                        "itemSeparator": " "
                    },
                    "id": "#pinger.cwl/workflow"
                }
            ],
            "outputs": [
                {
                    "type": "string",
                    "outputBinding": {
                        "outputEval": "$(inputs.instring)"
                    },
                    "id": "#pinger.cwl/outstring"
                },
                {
                    "type": "File",
                    "id": "#pinger.cwl/stdout",
                    "outputBinding": {
                        "glob": "pinger.out"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "uuid.txt"
                    },
                    "id": "#pinger.cwl/uuid_out"
                }
            ],
            "id": "#pinger.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "skesa",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "contigs.out",
                    "inputBinding": {
                        "prefix": "--contigs_out"
                    },
                    "id": "#skesa.cwl/contigs_out_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--reads"
                    },
                    "id": "#skesa.cwl/reads"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--sra_run"
                    },
                    "id": "#skesa.cwl/sra_run"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--use_paired_ends"
                    },
                    "id": "#skesa.cwl/use_paired_ends"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.contigs_out_name)"
                    },
                    "id": "#skesa.cwl/contigs_out"
                }
            ],
            "id": "#skesa.cwl"
        }
    ],
    "cwlVersion": "v1.2"
}
